import sys
import os
from glob import glob

def pipe(cmd):
    fp = os.popen(cmd)
    res = fp.read()
    stat = fp.close()
    return res, stat
 
def replace_ext(filename, new_ext):
    base, ext = os.path.splitext(filename)
    return '%s.%s' % (base, new_ext)

def main(script):
    for filename in sorted(glob("*.eps")):
        dest = replace_ext(filename, 'pdf')
        cmd = "convert %s %s" % (filename, dest)
        print cmd
        res, stat = pipe(cmd)
        print res,
  
if __name__ == '__main__':
    main(*sys.argv)
